### Hierarchy

- HeaderMenu

## Index

### Inputs

- headerItems
- icon
- title
- trigger
- href

### Constructors

- constructor

### Properties

- _href
- domSanitizer
- elementRef
- expanded
- headerItems
- icon
- title
- trigger

### Accessors

- href

### Methods

- onClick
- onFocusOut
- onMouseOut
- onMouseOver

## Constructors

### constructor

- new HeaderMenu(domSanitizer: DomSanitizer, elementRef: ElementRef): HeaderMenu

- - Defined in src/ui-shell/header/header-menu.component.ts:76

  #### Parameters

  - ##### domSanitizer: DomSanitizer

  - ##### elementRef: ElementRef

  #### Returns HeaderMenu

## Properties

### Protected _href

_href: string = "javascript:void(0)"

- Defined in src/ui-shell/header/header-menu.component.ts:76

### Protected domSanitizer

domSanitizer: DomSanitizer

- Defined in src/ui-shell/header/header-menu.component.ts:78

### Protected elementRef

elementRef: ElementRef

- Defined in src/ui-shell/header/header-menu.component.ts:78

### expanded

expanded: boolean = false

- Defined in src/ui-shell/header/header-menu.component.ts:74

### headerItems

@Input()
headerItems: HeaderItemInterface[]

- Defined in src/ui-shell/header/header-menu.component.ts:67

### icon

@Input()
icon: TemplateRef<any>

- Defined in src/ui-shell/header/header-menu.component.ts:72

### title

@Input()
title: string

- Defined in src/ui-shell/header/header-menu.component.ts:50

### trigger

@Input()
trigger: "click" | "mouseover" = "click"

- Defined in src/ui-shell/header/header-menu.component.ts:62

## Accessors

### href

@Input()
href:

- Defined in src/ui-shell/header/header-menu.component.ts:51
- Defined in src/ui-shell/header/header-menu.component.ts:59

## Methods

### onClick

@HostListener({"eventName":"click"})

- onClick(): void

- - Defined in src/ui-shell/header/header-menu.component.ts:81

  #### Returns void

### onFocusOut

@HostListener({"eventName":"focusout","args":"[$event]"})

- onFocusOut(event: any): void

- - Defined in src/ui-shell/header/header-menu.component.ts:102

  #### Parameters

  - ##### event: any

  #### Returns void

### onMouseOut

@HostListener({"eventName":"mouseout"})

- onMouseOut(): void

- - Defined in src/ui-shell/header/header-menu.component.ts:95

  #### Returns void

### onMouseOver

@HostListener({"eventName":"mouseover"})

- onMouseOver(): void

- - Defined in src/ui-shell/header/header-menu.component.ts:88

  #### Returns void

Generated using TypeDoc